require "scripts/style"

MakeDialog
{
	-- Name the modal dialog
	name="resetOrPlayLevel",
	Bitmap
	{
		image="backgrounds/dialog",
		x = kCenter,
		y = kCenter,
        
--        levelChooserMenu{
--			x = 0, y = 0, w=kMax, h=kMax,        
-- Title            
            SetStyle( DialogTitleText ),
            Text
            {
                font = StandardButtonFontHuge,
                name = "aLevelInProgress",
                x=kCenter,
                y=45,
                w=335,h=30,
                flags = kHAlignCenter + kVAlignCenter,
                label = "levelinprogress"
            };
-- Body         
            SetStyle( DialogBodyText ),   
            Text
            {
                name = "resetLevelBody",
                x=kCenter,
                y=75,
                w=335,h=150,
                flags = kHAlignCenter + kVAlignCenter,
                label = "resetLevelBody"
            };
-- Reset button
            SetStyle(SmallEmptyRoundButtonStyle),
            Button
            {
                x = kCenter-40,
                y = kMax-80,
                name="resetLevel",
                label="reset",
                close=true,
                type = kPush,
                command=
                    function()
                        CloseWindow(true);
                    end	    
            },
-- back button
            SetStyle(SmallEmptyRoundButtonStyle),
            Button
            {
                x = kCenter+40,
                y = kMax-80,
                name="chooseLevelBack",
                label="back",
                close=true,
                cancel=true,
                default=true,
                type = kPush,
                command=
                    function()
                        CloseWindow(false);
                    end	    
            },            
--        }
    },
}


